#ifndef AggreGateExceptionH
#define AggreGateExceptionH

#include "util/simpleobject/AgString.h"

class AggreGateException
{

private:
    AgString details;
    AgString message;

public:
    AggreGateException(const AgString &message)
    {
        this->message = message;
    }

    AggreGateException(const AgString &message, const AgString &details)
    {
        this->message = message;
        this->details = details;
    }

    AgString getDetails() const { return details; }
    AgString getMessage() const { return message; }
};

#endif
